
<div class="plc output-statement device-statement" >
    <div class="plc-menu">
        {{config.outputStatement}}
    </div>
    <div class="out-put-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">
        
    <div class="plc-content output-statement-heading">
        <div class="row">
            <div class="col-sm-12">
                <div class="public-horizon-form">
                    <div class="public-horizon">
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio1" name="identity" ng-click="changeSelect('W')" ng-checked=true>
                                <label for="inlineRadio1"> 按生产区域查询 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio2" name="identity" ng-click="changeSelect('L')">
                                <label for="inlineRadio2" > 按拉线查询 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio3" name="identity" ng-click="changeSelect('R')">
                                <label for="inlineRadio3" > 按设备查询 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio4" name="identity" ng-click="changeSelect('I')">
                                <label for="inlineRadio4" > 按物料编码查询 </label>
                            </div>
                        </div>
                    </div>
                    <div class="public-horizon">
                        <label class="horizon-label label-4"><span class="text-red" ng-if="config.showProArea">*</span>生产区域：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false"
                                       type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-disabled="true"
                                       ng-model="config.workAreaName" ng-change="disableBtn()" ng-keyup="upModel('workArea')">
                                <i class="fa fa-search ad-right-child focus" ng-click="toAreaHelp()" ng-if="config.showSelectArea"></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('area')" ng-if="!config.showSelectArea"></i>
                            </div>
                        </div>
                        <label class="horizon-label label-4"><span class="text-red" ng-if="config.showLine">*</span>拉线：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                <input ng-init="lineInput=false" ng-focus="lineInput=true" ng-keyup="upModel('workLine')" ng-disabled="true"
                                       ng-blur="lineInput=false" type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-model="config.workLineName" ng-change="disableBtn()">
                                <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()" ng-if="config.showSelectLine"></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')" ng-if="!config.showSelectLine"></i>
                            </div>
                        </div>
                        <label class="horizon-label label-4"><span class="text-red" ng-if="config.showDevice">*</span>设备：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                                       ng-keyup="upModel('deviceCode')" ng-disabled="false"
                                       ng-blur="deviceInput=false" type="text"
                                       value="" placeholder="搜索" class="form-control ad-left-child"
                                       ng-model="config.deviceCode" ng-change="disableBtn()">
                                <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()" ng-if="!config.deviceCode"></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('deviceCode')" ng-if="!!config.deviceCode"></i>
                            </div>
                        </div>
                        <label class="horizon-label label-4"><span class="text-red" ng-if="config.showModel">*</span>Model：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(modelInput)}">
                                <input ng-init="modelInput=false" ng-focus="modelInput=true" ng-keyup="upModel('model')"
                                       ng-blur="modelInput=false" type="text" value="" placeholder="搜索" ng-disabled="false"
                                       class="form-control ad-left-child" ng-model="config.model" ng-change="disableBtn()">
                                <i class="fa fa-search ad-right-child focus" ng-click="toModelHelp()" ng-if="!config.model"></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('model')" ng-if="!!config.model"></i>
                            </div>
                        </div>
                    </div>
                    <div class="public-horizon">
                        <label class="horizon-label label-4"><span class="text-red" ng-if="config.showCode">*</span>物料编码：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(materialInput)}">
                                <input ng-init="materialInput=false" ng-focus="materialInput=true" ng-keyup="upModel('itemCode')"
                                       ng-blur="materialInput=false" type="text" value="" ng-disabled="false"
                                       placeholder="搜索" class="form-control ad-left-child"
                                       ng-model="config.itemCode" ng-change="disableBtn()">
                                <i class="fa fa-search ad-right-child focus" ng-click="toCodeHelp()" ng-if="!config.itemCode"></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('itemCode')" ng-if="!!config.itemCode"></i>
                            </div>
                        </div>
                        <label class="horizon-label label-4"></label>
                        <div class="horizon-group horizon-col-3">
                        </div>
                        <label class="horizon-label label-4"></label>
                        <div class="horizon-group horizon-col-3">
                        </div>
                        <label class="horizon-label label-4"></label>
                        <div class="horizon-group horizon-col-3">
                        </div>
                    </div>
                    <div class="public-horizon">
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="dateRadio1" name="identityDate" ng-click="changeAddType('M')" ng-checked=true>
                                <label for="dateRadio1"> 按月汇总 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="dateRadio2" name="identityDate" ng-click="changeAddType('W')">
                                <label for="dateRadio2" > 按周汇总 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="dateRadio3" name="identityDate" ng-click="changeAddType('D')">
                                <label for="dateRadio3" > 按天汇总 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="dateRadio4" name="identityDate" ng-click="changeAddType('S')">
                                <label for="dateRadio4" > 按班次汇总 </label>
                            </div>
                        </div>
                    </div>

                    <div class="public-horizon">
                        <label class="horizon-label label-4" ><span class="text-red" >*</span>开始日期：</label>
                        <div class="horizon-group horizon-col-3" >
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(modelInput)}">
                                <input type="text" value="" id="outputStartDate" ng-if="!config.selectType"
                                       class="form-control"
                                       ng-model="config.startDate" ng-change="disableBtn()"
                                       ng-init="initDateTimePicker('#outputStartDate', {},'Y-m-d',false,false);"/>
                                <div class="dateClass" ng-if="config.selectType">
                                    <input type="text"  ng-focus="dateStart=true" class="form-control"
                                           ng-model="config.startDateMouth">
                                    <date-directive  date-div="dateStart" date-year-mouth="config.startDateMouth" date-status="start" date-year-mouth-day="config.startDate" ><date-directive/>
                                </div>
                            </div>
                        </div>
                        <label class="horizon-label label-4" ><span class="text-red" >*</span>结束日期：</label>
                        <div class="horizon-group horizon-col-3" >
                            <div class="nbox-group-input andon-input-wrapper">
                                <input type="text" value="" id="outputEndDate"
                                       class="form-control" ng-if="!config.selectType"
                                       ng-model="config.endDate" ng-change="disableBtn()"
                                       ng-init="initDateTimePicker('#outputEndDate', {},'Y-m-d',false,false);"/>
                                <div  ng-if="config.selectType">
                                    <input type="text"  ng-focus="dateEnd=true" class="form-control" ng-model="config.endDateMouth" >
                                    <date-directive date-div="dateEnd" date-year-mouth="config.endDateMouth" date-status="end" date-year-mouth-day="config.endDate"><date-directive/>
                                </div>`

                            </div>
                        </div>
                        <div class="horizon-btns">
                            <button class="btn btn-primary" ng-click="queryDatas()" ng-disabled="config.queryBtn">查询</button>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    </div>
    <move-template></move-template>

    <div class="plc-content" ng-if="config.addInfosShow">
        <div class="row " ng-if="config.showEchartsOther">
            <div class="col-sm-12">
                <div class="public-horizon-form ">
                    <div class="public-horizon">
                        <label class="horizon-label label-4"><span class="text-red">*</span>{{config.selectName}}：</label>
                        <div class="horizon-group horizon-col-3">
                            <ui-select class="andon-content-ui-select" ng-change="selectedChanged();" ng-model="config.currentSelected">
                                <ui-select-match placeholder="--- 请选择 ---">
                                    <!--statementConfig.currentWorkCenter.workCenter ||-->
                                    <span ng-bind="config.currentSelected.desc"></span>
                                </ui-select-match>
                                <!-- <ui-select-header>请选择</ui-select-header> -->
                                <ui-select-no-choice>
                                    <a href ng-click="$select.toggle($event);">暂无其他数据</a>
                                </ui-select-no-choice>
                                <ui-select-choices repeat="item in (config.dataSelected) track by $index">
                                    <span ng-bind-html="item.info | highlight: $select.search"></span>
                                </ui-select-choices>
                            </ui-select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="echartsClass" style="overflow-x:auto;" id="mainOther"  ng-if="config.showEchartsOther" ng-init="echartsShowOther()"></div>
        <div class="echartsClass" style="overflow-x:auto;" id="main"       ng-if="config.showEcharts"      ng-init="echartsShow()"></div>

        <!--<div>-->
            <!--<div class="col-md-6 echarts-wrap" style="width: 100%; height: 300px;" echarts-dimension="barExample.dimension" echarts="barExample.identity"  config="barExample.config"></div>-->
        <!--</div>-->

        <form class="form-horizontal" role="form" ng-if='config.addInfosShow'>
            <div class="row statement-title">
                <div class="col-sm-2 col-xs-2">
                    <label class="control-label label-title">总记录数:{{config.dataNum}}</label>
                </div>
                <div class="col-sm-3 col-xs-3">
                    <!--<label class="control-label label-title">总停机数：3333</label>-->
                </div>
                <div class="col-sm-3 col-xs-3">
                    <!--<label class="control-label label-title">最大停机时长：FTJI001 500min</label>-->
                </div>
                <div class="col-sm-2 col-xs-2 px-public-hide-div">
                    <div ng-click="showHideCol()" class="px-public-hide-inline">
                        <i class="fa fa-cog"></i>
                        <div class="px-public-hide-col">显示隐藏列
                        </div>
                    </div>
                </div>
                <div class="statement-save-btn pull-right">
                    <!--<select class="form-control input-title" ng-if=""><option>请选择</option></select>-->
                    <button type="button" id="pullData" class="btn btn-primary" ng-disabled="config.pullFileBtn" ng-click="pullQueryFile()">导出</button>
                </div>

            </div>
        </form>
        <div class="row">
            <div class="col-sm-12">
                <div class="andon-grid">
                <div id="plc-data-item-grid-area" ui-grid="gridOutputAreaStatement" ng-if="config.queryGridAreaShow"
                     ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
                     class="plc-data-item-grid ad-basic-grid" ></div>
                <div id="plc-data-item-grid-line" ui-grid="gridOutputLineStatement" ng-if="config.queryGridLineShow"
                     ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
                     class="plc-data-item-grid ad-basic-grid" ></div>
                <div id="plc-data-item-grid-device" ui-grid="gridOutputDeviceStatement" ng-if="config.queryGridDeviceShow"
                     ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
                     class="plc-data-item-grid ad-basic-grid" ></div>
                <div id="plc-data-item-grid-code" ui-grid="gridOutputCodeStatement" ng-if="config.queryGridAreaCodeShow"
                     ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
                     class="plc-data-item-grid ad-basic-grid" ></div></div>
            </div>
        </div>
    </div>

</div>


<!--生产区域-->
<script type="text/ng-template" id="Area.html">
    <div class="modal-body">
        <div class="row">
            <div class="col-sm-7">
                <div class="chat-group">
                    <div class="chat-user-title area">请选择条件</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text">
                                    <div ui-grid="gridArea" class="myGrid" ui-grid-edit ui-grid-cellNav ui-grid-selection  ui-grid-resize-columns ui-grid-auto-resize></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-5">
                <div class="chat-group">
                    <div class="chat-user-title area">时间范围</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text">
                                    <div class="public-horizon">
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioArea1" name="identityDateArea" ng-click="changeAddType('month')" ng-checked=true>
                                                <label for="dateRadioArea1"> by月 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioArea2" name="identityDateArea" ng-click="changeAddType('week')">
                                                <label for="dateRadioArea2" > by周 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioArea3" name="identityDateArea" ng-click="changeAddType('day')">
                                                <label for="dateRadioArea3" > by日 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioArea4" name="identityDateArea" ng-click="changeAddType('shift')">
                                                <label for="dateRadioArea4" > by班次 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioArea5" name="identityDateArea" ng-click="changeAddType('shift')">
                                                <label for="dateRadioArea5" > by小时 </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>物料编码</label>
                                        <input type="text" class="form-control" />
                                    </div>
                                    <div class="form-group">
                                        <label class="">目标产出</label>
                                        <input type="text" class="form-control" />
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>开始日期</label>
                                        <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>结束日期</label>
                                        <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-pink" type="button" ng-click="ok()">确定</button>
        <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
    </div>
</script>
<!--拉线-->
<script type="text/ng-template" id="Wire.html">
    <div class="modal-body">
        <div class="row">
            <div class="col-sm-7">
                <div class="chat-group">
                    <div class="chat-user-title wire">请选择条件</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="public-horizon margintop">
                                    <label class="horizon-label label-4">生产区域：</label>
                                    <div class="horizon-group horizon-col-8">
                                        <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                                            <ui-select-match placeholder="--- 请选择 ---">
                                                <span ng-bind="config.currentWorkCenter.workCenter || config.currentWorkCenter.description"></span>
                                            </ui-select-match>
                                            <!-- <ui-select-header>请选择</ui-select-header> -->
                                            <ui-select-no-choice>
                                                <a href ng-click="$select.toggle($event);">暂无数据</a>
                                            </ui-select-no-choice>
                                            <ui-select-choices repeat="item in (config.workCenters | filter: $select.search) track by $index">
                                                <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                            </ui-select-choices>
                                        </ui-select>                                    </div>
                                </div>
                                <div class="public-horizon">
                                    <label class="horizon-label label-4">Model：</label>
                                    <div class="horizon-group horizon-col-8">
                                        <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                                            <ui-select-match placeholder="--- 请选择 ---">
                                                <span ng-bind="config.currentWorkCenter.workCenter || config.currentWorkCenter.description"></span>
                                            </ui-select-match>
                                            <!-- <ui-select-header>请选择</ui-select-header> -->
                                            <ui-select-no-choice>
                                                <a href ng-click="$select.toggle($event);">暂无数据</a>
                                            </ui-select-no-choice>
                                            <ui-select-choices repeat="item in (config.workCenters | filter: $select.search) track by $index">
                                                <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                            </ui-select-choices>
                                        </ui-select>                                    </div>
                                </div>
                                <div class="public-horizon">
                                    <label class="horizon-label label-4">物料编码：</label>
                                    <div class="horizon-group horizon-col-8">
                                        <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                                            <ui-select-match placeholder="--- 请选择 ---">
                                                <span ng-bind="config.currentWorkCenter.workCenter || config.currentWorkCenter.description"></span>
                                            </ui-select-match>
                                            <!-- <ui-select-header>请选择</ui-select-header> -->
                                            <ui-select-no-choice>
                                                <a href ng-click="$select.toggle($event);">暂无数据</a>
                                            </ui-select-no-choice>
                                            <ui-select-choices repeat="item in (config.workCenters | filter: $select.search) track by $index">
                                                <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                            </ui-select-choices>
                                        </ui-select>                                    </div>
                                </div>
                                <!--<div class="public-horizon margintop">-->
                                    <!--<label class="horizon-label label-4">拉线：</label>-->
                                <!--</div>-->
                                <div class="chat-user-scroll-text">
                                    <div>拉线:</div>
                                    <div ui-grid="gridWireLine" class="myGrid" ui-grid-edit ui-grid-cellNav ui-grid-selection  ui-grid-resize-columns ui-grid-auto-resize></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-5">
                <div class="chat-group">
                    <div class="chat-user-title wire">时间范围</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text">
                                    <div class="public-horizon">
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioLine1" name="identityDateLine" ng-click="changeAddType('month')" ng-checked=true>
                                                <label for="dateRadioLine1"> by月 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioLine2" name="identityDateLine" ng-click="changeAddType('week')">
                                                <label for="dateRadioLine2" > by周 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioLine3" name="identityDateLine" ng-click="changeAddType('day')">
                                                <label for="dateRadioLine3" > by日 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioLine4" name="identityDateLine" ng-click="changeAddType('shift')">
                                                <label for="dateRadioLine4" > by班次 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioLine5" name="identityDateLine" ng-click="changeAddType('shift')">
                                                <label for="dateRadioLine5" > by小时 </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">年份：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                        </div>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">月份：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                        </div>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">开始时间：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                        </div>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">结束时间：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                        </div>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">班次：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                                                <ui-select-match placeholder="--- 请选择 ---">
                                                    <span ng-bind="config.currentWorkCenter.workCenter || config.currentWorkCenter.description"></span>
                                                </ui-select-match>
                                                <!-- <ui-select-header>请选择</ui-select-header> -->
                                                <ui-select-no-choice>
                                                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                                                </ui-select-no-choice>
                                                <ui-select-choices repeat="item in (config.workCenters | filter: $select.search) track by $index">
                                                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                                </ui-select-choices>
                                            </ui-select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-bluelight" type="button" ng-click="ok()">确定</button>
        <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
    </div>
</script>
<!--设备-->
<script type="text/ng-template" id="Device.html">
    <div class="modal-body">
        <div class="row">
            <div class="col-sm-7">
                <div class="chat-group">
                    <div class="chat-user-title device">请选择条件</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text">
                                    <div ui-grid="gridDevice" class="myGrid" ui-grid-edit ui-grid-cellNav ui-grid-selection  ui-grid-resize-columns ui-grid-auto-resize></div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-5">
                <div class="chat-group">
                    <div class="chat-user-title device">时间范围</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text">
                                    <div class="public-horizon">
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioDevice1" name="identityDateDevice" ng-click="changeAddType('month')" ng-checked=true>
                                                <label for="dateRadioDevice1"> by月 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioDevice2" name="identityDateDevice" ng-click="changeAddType('week')">
                                                <label for="dateRadioDevice2" > by周 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioDevice3" name="identityDateDevice" ng-click="changeAddType('day')">
                                                <label for="dateRadioDevice3" > by日 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioDevice4" name="identityDateDevice" ng-click="changeAddType('shift')">
                                                <label for="dateRadioDevice4" > by班次 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioDevice5" name="identityDateDevice" ng-click="changeAddType('shift')">
                                                <label for="dateRadioDevice5" > by小时 </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>物料编码</label>
                                        <input type="text" class="form-control" />
                                    </div>
                                    <div class="form-group">
                                        <label class="">目标产出</label>
                                        <input type="text" class="form-control" />
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>开始日期</label>
                                        <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>结束日期</label>
                                        <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">班次：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                                                <ui-select-match placeholder="--- 请选择 ---">
                                                    <span ng-bind="config.currentWorkCenter.workCenter || config.currentWorkCenter.description"></span>
                                                </ui-select-match>
                                                <!-- <ui-select-header>请选择</ui-select-header> -->
                                                <ui-select-no-choice>
                                                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                                                </ui-select-no-choice>
                                                <ui-select-choices repeat="item in (config.workCenters | filter: $select.search) track by $index">
                                                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                                </ui-select-choices>
                                            </ui-select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-yellowlight" type="button" ng-click="ok()">确定</button>
        <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
    </div>
</script>
<!--产品型号-->
<script type="text/ng-template" id="Type.html">
    <div class="modal-body">
        <div class="row">
            <div class="col-sm-7">
                <div class="chat-group">
                    <div class="chat-user-title device">请选择条件</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text">
                                    <div ui-grid="gridProductType" class="myGrid" ui-grid-edit ui-grid-cellNav ui-grid-selection  ui-grid-resize-columns ui-grid-auto-resize></div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-5">
                <div class="chat-group">
                    <div class="chat-user-title device">时间范围</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text">
                                    <div class="public-horizon">
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioType1" name="identityDatetype" ng-click="changeAddType('month')" ng-checked=true>
                                                <label for="dateRadioType1"> by月 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioType2" name="identityDatetype" ng-click="changeAddType('week')">
                                                <label for="dateRadioType2" > by周 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioType3" name="identityDatetype" ng-click="changeAddType('day')">
                                                <label for="dateRadioType3" > by日 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioType4" name="identityDatetype" ng-click="changeAddType('shift')">
                                                <label for="dateRadioType4" > by班次 </label>
                                            </div>
                                        </div>
                                        <div class="horizon-btns horizon-label">
                                            <div class="radio radio-primary radio-inline">
                                                <input type="radio" id="dateRadioType5" name="identityDatetype" ng-click="changeAddType('shift')">
                                                <label for="dateRadioType5" > by小时 </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>物料编码</label>
                                        <input type="text" class="form-control" />
                                    </div>
                                    <div class="form-group">
                                        <label class="">目标产出</label>
                                        <input type="text" class="form-control" />
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>开始日期</label>
                                        <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>结束日期</label>
                                        <input type="date" ng-model="config.modalOutputDate" class="form-control" name="modalDeviceDate"/>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">班次：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                                                <ui-select-match placeholder="--- 请选择 ---">
                                                    <span ng-bind="config.currentWorkCenter.workCenter || config.currentWorkCenter.description"></span>
                                                </ui-select-match>
                                                <!-- <ui-select-header>请选择</ui-select-header> -->
                                                <ui-select-no-choice>
                                                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                                                </ui-select-no-choice>
                                                <ui-select-choices repeat="item in (config.workCenters | filter: $select.search) track by $index">
                                                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                                </ui-select-choices>
                                            </ui-select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-yellowlight" type="button" ng-click="ok()">确定</button>
        <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
    </div>
</script>